View Issue Details

IDProjectCategoryView StatusLast Update
0000388Cinelerra-GG[All Projects] Featurepublic2020-04-23 22:20
ReporterRafaMar Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000388: A warning is missing from a procedure that can ruin work time and even cause data loss
DescriptionI describe what happened to me days ago
I was mounting a video in Cinelerra and I needed to load a new clip, I pressed the letter "o" to open the loading assistant, and when I loaded the file I forgot to activate the option "Create new resources only" and I gave ok having the "Replace current project" option activated.

What happened is that the project I was working on closed, with a lot of changes without saving and a new project was opened with the clip I loaded.

I resisted wasting my work time and I tried to press "z" to undo this error, and it worked, it went back ... but here comes the worst, I hurried to save the work, but something very serious happened, I don't know I saved over the xml that I was working with, but it rewritten the xml file over the video clip in .mp4, and this video was lost ... this seemed very serious to me.

My question is, to avoid these scares, is it possible that in this situation, if you have a project with changes without saving, a warning would appear indicating that the project is going to close and load the clip as a new project and that we have changes without save? This warning could have three options, continue without saving, save and continue, or cancel this process. And in case of using z to undo this change, the project should be reloaded on its corresponding xml.

Any situation that may lead to loss of files is considered serious.

If you don't understand what I mean, I can make a video reproducing the steps.
Steps To Reproduce1. Working in a project load a new video clip with the option "Replace current project" activated
2. Press "z" to undo this change
3. Press "s" to save
The result is that the video clip is overwritten with the information in the project's .xml.
Additional InformationIt would not be a bad idea to separate the wizards, with the options of uploading files on a project, one for this purpose, and another wizard to open the projects or start them. Make them separate windows, to avoid mistakes. Or in the event of the aforementioned, then make the warning that I mentioned above.
Tagsbug

Activities

RafaMar

RafaMar

2020-04-23 22:20

reporter   ~0003286

You're welcome @PhyllisSmith.
I don't like Microsoft, I dislike Bill.
XD
PhyllisSmith

PhyllisSmith

2020-04-23 20:03

manager   ~0003282

@RafaMar -- thank you for taking time to test and report back.

An interesting news story just published 10 hours ago -- "Another Windows 10 update is causing serious problems, reducing performance, crashing ... But perhaps the most worrying side effect of a successful installation of the KB4549951 update is the deletion or moving of files and settings. A number of users complain that after installing the update, their settings have been wiped out, personal files have been moved to the Recycle Bin, or simply deleted all together."

Microsoft has yet to acknowledge these issues.
RafaMar

RafaMar

2020-04-23 09:07

reporter   ~0003280

My sincere congratulations @PhyllisSmith. This issue is resolved. Thank you.
I also apologize for commenting on this in the Vectorscope entry, but it seemed very important to me to fix this, and it seemed that this issue had been forgotten. I also felt bad because this event had happened to me again.
The important thing is that it is now fixed. Thank you.
I still think that a notice in the project situation without saving and start a new project in this way, option to "Save and continue" or "Cancel this step". But this is no longer important, it is just a small improvement that has occurred to me, but I, not knowing how to program, do not know if it is possible.
Also thank you very much @IgorBeg for your interest in this matter and also for your kindness.
PhyllisSmith

PhyllisSmith

2020-04-23 01:28

manager   ~0003276

@RafaMar
I am trying to keep up but am falling way behind. We finally had a chance to make a Mint 19.3 static test tar that was correct that contains the devastating bug fix. I do not know why it was short and only 22MB. We tested this new one this time and it is 58MB so the network copied it over just fine.
  https://cinelerra-gg.org/download/testing/cinelerra-5.1-mint19-x86_64-static.txz

Still working on resolving this issue though in a way that will hopefully work for everyone.
RafaMar

RafaMar

2020-04-22 11:56

reporter   ~0003275

I have complete confidence in the Cinelerra team.
I know that in the next version it will be fixed.
You don't have to waste time with a trial version, I don't want to give you extra work.
Thank you very much @IgorBeg for all your support.
IgorBeg

IgorBeg

2020-04-22 11:36

reporter   ~0003274

It not depends by your OS. I think that TXZ file for you is incomplete.
Usually the file size is around 60MB. The special TXZ build for you is around 21MB.
I downloaded it and unfortunately there aren't some folders/files there.
Could you waiting for a new TXZ for you by @PhyllisSmith and GG if She have a few of time to do a new static build for you, please? (I think she reads this in about 2 hours from now)

Yes, I am in mailing list and sometimes read by link
https://lists.cinelerra-gg.org/pipermail/cin/2020-April/date.html

@PhyllisSmith
Thanks!
RafaMar

RafaMar

2020-04-22 10:29

reporter   ~0003273

Thank you very much @IgorBeg. I saw the video this morning on the youtube channel.
But as much as I follow the steps, this version does not start on my system.
If you have followed the steps and you are doing well. I'm sure they fixed it.
I take this opportunity to ask you if you are subscribed to the mailing list, put the fonts of cinelerra graphics there, but you can download them from here if you wish.
https://drive.google.com/file/d/1KTYsF1BUZ6piv5hlQykxN0iF9xzG73or/view?usp=sharing

cin_terminal (9,200 bytes)
[email protected]:~/cinelerra-5.1-mint19-x86_64-static$ ./cin
Cinelerra Infinity - built: Apr 20 2020 19:19:31
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2019 Heroine Virtual Ltd. by Adam Williams
2007-2020 mods for Cinelerra-GG by W.P.Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

init plugin index: /home/rafacinema/cinelerra-5.1-mint19-x86_64-static/plugins
PluginFFilter::new_ffilter(acrossfade)
  err: Input/output error
PluginFFilter::new_ffilter(acrossover)
  err: Operation not permitted
PluginFFilter::new_ffilter(aeval)
  err: Cannot allocate memory
PluginFFilter::new_ffilter(afir)
  err: Operation not permitted
PluginFFilter::new_ffilter(aiir)
  err: Operation not permitted
PluginFFilter::new_ffilter(ainterleave)
  err: Operation not permitted
PluginFFilter::new_ffilter(amerge)
  err: Operation not permitted
PluginFFilter::new_ffilter(ametadata)
  err: Invalid argument
PluginFFilter::new_ffilter(amix)
  err: Operation not permitted
PluginFFilter::new_ffilter(amultiply)
  err: Input/output error
PluginFFilter::new_ffilter(anequalizer)
  err: Operation not permitted
PluginFFilter::new_ffilter(aselect)
  err: Operation not permitted
[asendcmd_93 @ 0x5644bbd20440] One and only one of the filename or commands options must be specified
PluginFFilter::new_ffilter(asendcmd)
  err: Invalid argument
[asidedata_109 @ 0x5644bbd212c0] Side data type must be set
PluginFFilter::new_ffilter(asidedata)
  err: Invalid argument
PluginFFilter::new_ffilter(asplit)
  err: Operation not permitted
PluginFFilter::new_ffilter(astreamselect)
  err: Operation not permitted
[channelmap_134 @ 0x5644bbd212c0] Output channel layout is not set and cannot be guessed from the maps.
PluginFFilter::new_ffilter(channelmap)
  err: Invalid argument
PluginFFilter::new_ffilter(channelsplit)
  err: Operation not permitted
[chorus_135 @ 0x5644bbd28800] Both delays & decays & speeds & depths must be set.
PluginFFilter::new_ffilter(chorus)
  err: Invalid argument
PluginFFilter::new_ffilter(ebur128)
  err: Operation not permitted
[equalizer_163 @ 0x5644bbd212c0] Invalid frequency 0.000000 and/or width 1.000000 <= 0
PluginFFilter::new_ffilter(equalizer)
  err: Invalid argument
PluginFFilter::new_ffilter(headphone)
  err: Operation not permitted
PluginFFilter::new_ffilter(join)
  err: Operation not permitted
[pan_197 @ 0x5644bbd1fe80] pan filter needs a channel layout and a set of channel definitions as parameter
PluginFFilter::new_ffilter(pan)
  err: Invalid argument
PluginFFilter::new_ffilter(sidechaincompress)
  err: Input/output error
PluginFFilter::new_ffilter(sidechaingate)
  err: Input/output error
PluginFFilter::new_ffilter(aevalsrc)
  err: Cannot allocate memory
PluginFFilter::new_ffilter(anullsink)
  err: Input/output error
PluginFFilter::new_ffilter(alphaextract)
  err: Operation not permitted
PluginFFilter::new_ffilter(alphamerge)
  err: Input/output error
PluginFFilter::new_ffilter(blend)
  err: Input/output error
PluginFFilter::new_ffilter(bm3d)
  err: Operation not permitted
[colormatrix_310 @ 0x5644bbd22e80] Unspecified destination color space
PluginFFilter::new_ffilter(colormatrix)
  err: Invalid argument
PluginFFilter::new_ffilter(convolve)
  err: Input/output error
PluginFFilter::new_ffilter(decimate)
  err: Operation not permitted
PluginFFilter::new_ffilter(deconvolve)
  err: Input/output error
[delogo @ 0x5644bbd20ec0] Option x was not set.
PluginFFilter::new_ffilter(delogo)
  err: Invalid argument
[derain_366 @ 0x5644bbd22640] model file for network is not specified
PluginFFilter::new_ffilter(derain)
  err: Invalid argument
PluginFFilter::new_ffilter(displace)
  err: Input/output error
PluginFFilter::new_ffilter(extractplanes)
  err: Operation not permitted
[fieldhint_418 @ 0x5644bbd1ef40] Hint file must be set.
PluginFFilter::new_ffilter(fieldhint)
  err: Invalid argument
PluginFFilter::new_ffilter(fieldmatch)
  err: Operation not permitted
[find_rect_425 @ 0x5644bbd25b00] object filename not set
PluginFFilter::new_ffilter(find_rect)
  err: Invalid argument
[format_429 @ 0x5644bbd24dc0] Empty output format string.
PluginFFilter::new_ffilter(format)
  err: Invalid argument
PluginFFilter::new_ffilter(framepack)
  err: Input/output error
[geq_448 @ 0x5644bbd27340] A luminance or RGB expression is mandatory
PluginFFilter::new_ffilter(geq)
  err: Invalid argument
PluginFFilter::new_ffilter(haldclut)
  err: Input/output error
PluginFFilter::new_ffilter(hstack)
  err: Operation not permitted
PluginFFilter::new_ffilter(hysteresis)
  err: Input/output error
PluginFFilter::new_ffilter(interleave)
  err: Operation not permitted
PluginFFilter::new_ffilter(lut2)
  err: Input/output error
PluginFFilter::new_ffilter(maskedclamp)
  err: Input/output error
PluginFFilter::new_ffilter(maskedmerge)
  err: Input/output error
PluginFFilter::new_ffilter(mergeplanes)
  err: Operation not permitted
PluginFFilter::new_ffilter(metadata)
  err: Invalid argument
PluginFFilter::new_ffilter(midequalizer)
  err: Input/output error
PluginFFilter::new_ffilter(mix)
  err: Operation not permitted
[nnedi_555 @ 0x5644bc620f00] No weights file provided, aborting!
PluginFFilter::new_ffilter(nnedi)
  err: Invalid argument
[noformat_556 @ 0x5644bc604980] Empty output format string.
PluginFFilter::new_ffilter(noformat)
  err: Invalid argument
PluginFFilter::new_ffilter(overlay)
  err: Input/output error
PluginFFilter::new_ffilter(paletteuse)
  err: Input/output error
PluginFFilter::new_ffilter(premultiply)
  err: Operation not permitted
PluginFFilter::new_ffilter(psnr)
  err: Input/output error
PluginFFilter::new_ffilter(remap)
  err: Input/output error
[removelogo_629 @ 0x5644bbd1fc40] The bitmap file name is mandatory
PluginFFilter::new_ffilter(removelogo)
  err: Invalid argument
PluginFFilter::new_ffilter(scale2ref)
  err: Input/output error
PluginFFilter::new_ffilter(select)
  err: Operation not permitted
[sendcmd_657 @ 0x5644bbd23f40] One and only one of the filename or commands options must be specified
PluginFFilter::new_ffilter(sendcmd)
  err: Invalid argument
[sidedata_697 @ 0x5644bba9a840] Side data type must be set
PluginFFilter::new_ffilter(sidedata)
  err: Invalid argument
PluginFFilter::new_ffilter(signature)
  err: Operation not permitted
PluginFFilter::new_ffilter(split)
  err: Operation not permitted
[sr_710 @ 0x5644bbd28a00] model file for network was not specified
PluginFFilter::new_ffilter(sr)
  err: Input/output error
PluginFFilter::new_ffilter(ssim)
  err: Input/output error
PluginFFilter::new_ffilter(streamselect)
  err: Operation not permitted
PluginFFilter::new_ffilter(threshold)
  err: Input/output error
PluginFFilter::new_ffilter(unpremultiply)
  err: Operation not permitted
PluginFFilter::new_ffilter(vstack)
  err: Operation not permitted
PluginFFilter::new_ffilter(xmedian)
  err: Operation not permitted
PluginFFilter::new_ffilter(xstack)
  err: Operation not permitted
PluginFFilter::new_ffilter(nullsink)
  err: Input/output error
PluginFFilter::new_ffilter(abitscope)
  err: Input/output error
PluginFFilter::new_ffilter(adrawgraph)
  err: Input/output error
PluginFFilter::new_ffilter(agraphmonitor)
  err: Input/output error
PluginFFilter::new_ffilter(ahistogram)
  err: Input/output error
PluginFFilter::new_ffilter(aphasemeter)
  err: Operation not permitted
PluginFFilter::new_ffilter(avectorscope)
  err: Input/output error
PluginFFilter::new_ffilter(concat)
  err: Operation not permitted
PluginFFilter::new_ffilter(showcqt)
  err: Input/output error
PluginFFilter::new_ffilter(showfreqs)
  err: Input/output error
PluginFFilter::new_ffilter(showspatial)
  err: Input/output error
PluginFFilter::new_ffilter(showspectrum)
  err: Input/output error
PluginFFilter::new_ffilter(showspectrumpic)
  err: Input/output error
PluginFFilter::new_ffilter(showvolume)
  err: Input/output error
PluginFFilter::new_ffilter(showwaves)
  err: Input/output error
PluginFFilter::new_ffilter(showwavespic)
  err: Input/output error
PluginFFilter::new_ffilter(spectrumsynth)
  err: Input/output error
PluginFFilter::new_ffilter(amovie)
  err: Operation not permitted
PluginFFilter::new_ffilter(movie)
  err: Operation not permitted
[abuffer_861 @ 0x5644bbd1fc40] Sample format was not set or was invalid
PluginFFilter::new_ffilter(abuffer)
  err: Invalid argument
[buffer_862 @ 0x5644bc25d000] Invalid parameters provided.
PluginFFilter::new_ffilter(buffer)
  err: Invalid argument
PluginFFilter::new_ffilter(abuffersink)
  err: Input/output error
PluginFFilter::new_ffilter(buffersink)
  err: Input/output error
init lv2 index:
init ladspa index: /home/rafacinema/cinelerra-5.1-mint19-x86_64-static/ladspa
MWindow::init_ladspa_plugins: can't create ladspa plugin index: /home/rafacinema/.bcast5/ladspa_plugins._home_rafacinema_cinelerra-5.1-mint19-x86_64-static_ladspa
MWindow::init_theme: prefered theme Cakewalk not found.
MWindow::init_theme: theme_plugin not found.
unjoined tids / owner 1
  00007fe2917f3700 / 00007fe29cde1780 12BC_Clipboard
[email protected]:~/cinelerra-5.1-mint19-x86_64-static$ 

cin_terminal (9,200 bytes)
IgorBeg

IgorBeg

2020-04-22 10:06

reporter   ~0003272

RafaMar, look at my video at
http://www.visi1.org/cinelerra-gg_tutorials#DownloadAndFirstRun
Start from 1'01".

I hope that Mint uses the same procedure.
Time to dinner!
RafaMar

RafaMar

2020-04-22 09:42

reporter   ~0003271

Thank you very much @IgorBeg, I'm sure they fixed it. For this reason I keep working on improving the Spanish translation and making tutorials. I downloaded this version that you indicate, but I don't know how to make it work.
IgorBeg

IgorBeg

2020-04-22 09:28

reporter   ~0003269

Waiting for RafaMar test and feedback with the Mint version...
From https://www.cinelerra-gg.org/bugtracker/view.php?id=71#c3232
"GG is creating a test static build for Mint 19.3... "
https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-mint19-x86_64-static.txz

I tested it following the RafaMar's Steps with Cin version by git
--> Tue, 21 Apr 2020 03:00:51 +0200 (19:00 -0600).
For me it works fine, now. (OS: UbuntuStudio_16.04_LTS_64bit)
RafaMar

RafaMar

2020-04-21 21:24

reporter   ~0003268

@IgorBeg, thanks so much for replying. I have quoted you because you told me that I had gone off topic in the vectorscope issue. Simply, when I saw that you asked for my opinion, this error seemed more important to me than the Vectorscope.
I'm glad to know that it will never happen to you, but if it happens to any of my readers I will feel bad.
From what I read, from @PhyllisSmith, the problem will be solved. For this reason I continue with the idea of continuing to write tutorials and collaborate in what I can.
Yesterday I had a bad day with Cinelerra and I felt bad, because this problem was already reported.
And the most important. I have not the slightest complaint from any of the people I am dealing with in the Cinelerra environment. Rather the opposite.
Greetings and I reiterate my thanks for dedicating your time to answer me.
IgorBeg

IgorBeg

2020-04-21 19:42

reporter   ~0003266

Don't worry @RafaMar.
There are some thing I have to say and maybe you always know.
I am not a developer, I am only an user. When you open a ticket, an User don't see your ticket by email. He can see it by browser. If you write a Note with my name then an email sended to me.
If I can, and I have a few of time, I try your Step To Reproduce and I can confirm or less. Other users do the same for me.
Losing a video is not a good think. I am so sorry for this bug.
Unfortunately or fortunately, my workflow is different by your. I never used your 3 steps.
I think that developers (GG and Phyllis) do everything they can, but they are not Adobe Premier, LWKS, Avid, or Blackmagic Design team.
RafaMar

RafaMar

2020-04-21 18:01

reporter   ~0003261

@IgorBeg my sincere apologies for having changed the subject in the vectorscope issue.
Also sorry for answering you around here, it seemed more appropriate to me here, than to keep getting off the topic in the vectorscope issue.
I know that it is not justification, but on 2020-03-12 I opened this issue about a problem that seemed serious to me, you are in it, but this one seemed to fall into the chest of oblivion. And nothing was done about it.
Perhaps my mistake has been that every time I have had the opportunity to expose this problem, I have done so. It seemed important to me. Having a good Vectorscope is also good, but on my scale of values, the one
Cinelerra can cause the destruction of a video in such an absurd way seemed even more important to me.
I reiterate my apologies and I am glad that it seems that a solution is going to be given to the issue.
I am very sorry to have changed your subject in the vectorscope, I felt bad yesterday for losing a video clip again. And someone quoted me and I explained the reason why I wasn't paying much attention to the issue.
RafaMar

RafaMar

2020-03-12 19:25

reporter   ~0002892

Anyway a warning in the situation I indicate would be something that many new users would appreciate.
As I always say, I don't know programming, maybe I'm saying nonsense.
RafaMar

RafaMar

2020-03-12 19:01

reporter   ~0002891

Thank you
PhyllisSmith

PhyllisSmith

2020-03-12 18:04

manager   ~0002888

We have been discussing the possibility of an Autosave feature as requested in BT # 275, item 9. However, there is a little known feature, emergency saved backup BUT it has to be used right away after a mistake. It is documented in the manual but I can see it needs clarification there.

There is still 1 more backup that may save you. If for some reason you forgot to use "Load backup" immediately when restarting or you did a Load with "replace current project" in your current session, you have a second chance to use File → Load and select $HOME/.bcast5/backup.prev as long as you only loaded a different file and have performed no editing operations.
RafaMar

RafaMar

2020-03-12 14:16

reporter   ~0002883

Thank you
Andrea_Paz

Andrea_Paz

2020-03-12 14:14

updater   ~0002881

Good idea, the Warnig. +1

Issue History

Date Modified Username Field Change
2020-03-12 10:59 RafaMar New Issue
2020-03-12 14:14 Andrea_Paz Note Added: 0002881
2020-03-12 14:16 RafaMar Note Added: 0002883
2020-03-12 18:04 PhyllisSmith Note Added: 0002888
2020-03-12 19:01 RafaMar Note Added: 0002891
2020-03-12 19:25 RafaMar Note Added: 0002892
2020-04-21 18:01 RafaMar Note Added: 0003261
2020-04-21 19:30 RafaMar Tag Attached: bug
2020-04-21 19:42 IgorBeg Note Added: 0003266
2020-04-21 21:24 RafaMar Note Added: 0003268
2020-04-22 09:28 IgorBeg Note Added: 0003269
2020-04-22 09:42 RafaMar Note Added: 0003271
2020-04-22 10:06 IgorBeg Note Added: 0003272
2020-04-22 10:29 RafaMar File Added: cin_terminal
2020-04-22 10:29 RafaMar Note Added: 0003273
2020-04-22 11:36 IgorBeg Note Added: 0003274
2020-04-22 11:56 RafaMar Note Added: 0003275
2020-04-23 01:28 PhyllisSmith Note Added: 0003276
2020-04-23 09:07 RafaMar Note Added: 0003280
2020-04-23 20:03 PhyllisSmith Note Added: 0003282
2020-04-23 22:20 RafaMar Note Added: 0003286